<?php
use yii\helpers\Html;
use app\assets\AppAsset;
use app\helpers\LanguageHelper;
use app\yii\base\Event;

AppAsset::register($this);
$formatter = app()->formatter;
?>
<?php $this->beginPage() ?>
<!DOCTYPE html>
<html lang="<?= app()->language ?>" dir="<?= LanguageHelper::getLanguageOrientation();?>">
    <head>
        <meta charset="<?= app()->charset ?>">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="shortcut icon" href="/favicon.ico" type="image/x-icon">
        <link rel="icon" href="/favicon.ico" type="image/x-icon">
        <?= Html::csrfMetaTags() ?>
        <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,300i,400,400i,600,600i,700,700i" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css?family=Oswald:300,400,700" rel="stylesheet">
        <title><?= Html::encode($this->title) ?></title>
        <?php app()->trigger('app.header.beforeScripts', new Event(['params' => []])); ?>

        <script type="text/javascript">
            var site = {
                'url' : '<?=options()->get('app.settings.urls.siteUrl', '');?>',
                'language' : '<?=$formatter->locale;?>',
                'dateFormat' : '<?=$formatter->dateFormat?>',
                'timeFormat' : '<?=$formatter->timeFormat;?>',
                'datetimeFormat' : '<?=$formatter->datetimeFormat;?>',
                'dir' : '<?= LanguageHelper::getLanguageOrientation();?>',
                'statsUrl' : '<?= url(['/listing/track-stats']);?>',
            };
        </script>
        <?php $this->head() ?>
    </head>
    <body>
        <div class="overlay-loading">
            <div class="icon-placeholder">
                <i class="fa fa-spinner fa-spin" aria-hidden="true"></i>
            </div>
        </div>

        <?= $this->render(
            'header.php',
            []
        ) ?>

        <?php $this->beginBody() ?>

        <div id="content">
            <?= $content; ?>
        </div>

        <?php $this->endBody() ?>

        <?= $this->render(
            'footer.php',
            []
        ) ?>
    </body>
</html>
<?php $this->endPage() ?>
