<?php
use app\assets\AdAsset;
use app\helpers\SvgHelper;
use app\models\ListingStat;
use app\models\Category;
use app\components\AdsListWidget;

AdAsset::register($this);

$showGalleryArrows = (count($images) > 1) ? true : false;
$fullWidthGallery = (count($images) < 4) ? 'full-width' : '' ;
?>
<div class="view-listing">
        <section class="listing-heading">
            <div class="listing-heading-wrapper">
                <div class="container">
                    <div class="row">
                        <div class="col-lg-8 col-md-8 col-sm-8 col-xs-12">
                            <h1><?=html_encode(strtoupper($ad->title));?></h1>
                            <?php if(!$ad->isExpired) { ?>
                                <a href="#" class="link add-to-favorites favorite-listing <?=($ad->isFavorite) ? 'track-stats' : '';?>" data-stats-type="<?=ListingStat::FAVORITE;?>" data-add-msg="<?=t('app','Add to favorites');?>" data-remove-msg="<?=t('app','Remove Favorite');?>" data-favorite-url="<?=url(['/listing/toggle-favorite']);?>" data-listing-id="<?=(int)$ad->listing_id;?>">
                                    <?php if ($ad->isFavorite) { ?>
                                        <i class="fa fa-heart" aria-hidden="true"></i> <span><?=t('app','Remove Favorite');?></span>
                                    <?php } else { ?>
                                    <i class="fa fa-heart-o" aria-hidden="true"></i> <span><?=t('app','Add to favorites');?></span>
                                    <?php } ?>
                                </a>
                                <?php if (!$ad->hide_email) { ?>
                                <a href="#" id="listing-send-msg" data-url="<?=url(['/listing/get-customer-contact']);?>" data-customer-id="<?=(int)$ad->customer->customer_id;?>" class="link send-message track-stats" data-listing-id="<?=(int)$ad->listing_id;?>" data-stats-type="<?=ListingStat::SHOW_MAIL;?>"><i class="fa fa-envelope-o" aria-hidden="true"></i> <?=t('app','Send a message');?></a>
                                <?php } ?>
                                <div class="clearfix hidden-lg hidden-md hidden-sm"></div>
                                <div class="social-desktop">
                                    <a target="_blank" href="https://www.facebook.com/sharer/sharer.php?u=<?=url(['/listing/index/', 'slug' => $ad->slug], true);?>" class="social-link track-stats" data-listing-id="<?=(int)$ad->listing_id;?>" data-stats-type="<?=ListingStat::FACEBOOK_SHARES;?>"><i class="fa fa-facebook" aria-hidden="true"></i></a>
                                    <a target="_blank" href="https://twitter.com/intent/tweet?text=<?=html_encode($ad->title);?>&url=<?=url(['/listing/index/', 'slug' => $ad->slug], true);?>" class="social-link track-stats" data-listing-id="<?=(int)$ad->listing_id;?>" data-stats-type="<?=ListingStat::TWITTER_SHARES;?>"><i class="fa fa-twitter" aria-hidden="true"></i></a>
                                    <a href="mailto:?subject=<?=html_encode($ad->title);?>&body=<?=t('app', 'Read More:');?><?=url(['/listing/index/', 'slug' => $ad->slug], true);?>" class="social-link track-stats" data-listing-id="<?=(int)$ad->listing_id;?>" data-stats-type="<?=ListingStat::MAIL_SHARES;?>"><i class="fa fa-envelope-o" aria-hidden="true"></i></a>
                                </div>
                            <?php } ?>
                        </div>
                        <div class="col-lg-4 col-md-4 col-sm-4 col-xs-12">
                            <div class="price">
                                <?php if(!$ad->isExpired) { ?>
                                    <div class="social-mobile">
                                        <a target="_blank" href="https://www.facebook.com/sharer/sharer.php?u=<?=url(['/listing/index/', 'slug' => $ad->slug], true);?>" class="social-link track-stats" data-listing-id="<?=(int)$ad->listing_id;?>" data-stats-type="<?=ListingStat::FACEBOOK_SHARES;?>"><i class="fa fa-facebook" aria-hidden="true"></i></a>
                                        <a target="_blank" href="https://twitter.com/intent/tweet?text=<?=html_encode($ad->title);?>&url=<?=url(['/listing/index/', 'slug' => $ad->slug], true);?>" class="social-link track-stats" data-listing-id="<?=(int)$ad->listing_id;?>" data-stats-type="<?=ListingStat::TWITTER_SHARES;?>"><i class="fa fa-twitter" aria-hidden="true"></i></a>
                                        <a href="mailto:?subject=<?=html_encode($ad->title);?>&body=<?=t('app', 'Read More:');?><?=url(['/listing/index/', 'slug' => $ad->slug], true);?>" class="social-link track-stats" data-listing-id="<?=(int)$ad->listing_id;?>" data-stats-type="<?=ListingStat::MAIL_SHARES;?>"><i class="fa fa-envelope-o" aria-hidden="true"></i></a>
                                    </div>
                                    <h2><?=html_encode($ad->getPriceAsCurrency($ad->currency->code));?><span><?=$ad->isNegotiable() ? t('app','Negotiable') : '';?></span></h2>
                                <?php } else { ?>
                                    <h2><?=strtoupper(\app\models\Listing::STATUS_EXPIRED);?></h2>
                                <?php } ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>

        <div class="container">

            <div class="row">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <ul class="breadcrumb">
                        <li><a href="<?=url(['/']);?>"><i class="fa fa-home" aria-hidden="true"></i></a></li>
                        <?php $_categoryParents = Category::getAllParents($ad->category_id);
                        $categoryParents = array_reverse($_categoryParents);
                        foreach ($categoryParents as $categoryParent) { ?>
                            <li>
                                <a href="<?= url(['category/index', 'slug' => $categoryParent['slug']]); ?>">
                                    <?= html_encode($categoryParent['name']); ?>
                                </a>
                            </li>
                        <?php } ?>
                    </ul>
                </div>
            </div>

            <div class="row">
                <div class="col-lg-9 col-md-8 col-sm-12 col-xs-12">
                    <div class="listing-gallery">
                        <div class="img-wrapper <?=$fullWidthGallery;?>">
                            <span class="zoom"><i class="fa fa-search-plus" aria-hidden="true"></i></span>
                            <div class="small-gallery owl-carousel owl-theme">
                                <?php foreach ($images as $image) { ?>
                                    <div class="item open-full-gallery"><img class="" src="<?=$image->image;?>" alt=""/></div>
                                <?php } ?>
                            </div>
                            <?php if ($showGalleryArrows) { ?>
                                <a href="javascript:;" class="arrow-gallery gallery-left"><?= SvgHelper::getByName('arrow-left');?></a>
                                <a href="javascript:;" class="arrow-gallery gallery-right"><?= SvgHelper::getByName('arrow-right');?></a>
                            <?php } ?>
                        </div>
                        <div class="thb-wrapper">
                            <span class="zoom"><i class="fa fa-search-plus" aria-hidden="true"></i></span>
                            <ul>
                                <?php $counterImage = 0;
                                foreach ($images as $image) {
                                    $counterImage++;
                                    if ($counterImage == 1) continue; ?>
                                    <li><img class="" src="<?=$image->image;?>" alt=""/></li>
                                    <?php if ($counterImage == 4) break;
                                } ?>
                            </ul>
                        </div>
                    </div>
                </div>
                <div class="col-lg-3 col-md-4 col-sm-12 col-xs-12">
                    <div class="listing-info">
                        <div class="listing-user">
                            <div class="name">
                                <?php if (empty($ad->customer->stores)) {
                                    echo html_encode($ad->customer->getFullName());
                                } else { ?>
                                <a href="<?=url(['/store/index', 'slug' => $ad->customer->stores->slug]);?>">
                                    <?=html_encode($ad->customer->stores->store_name);?>
                                </a>
                                <?php } ?>
                            </div>
                            <?php if(!$ad->isExpired) { ?>
                                <?php if (!empty($ad->customer->stores)) { ?>
                                <div class="store">
                                    <a href="<?=url(['/store/index', 'slug' => $ad->customer->stores->slug]);?>">
                                        <?=t('app','Visit Store');?>
                                    </a>
                                </div>
                                <?php } ?>
                                <?php if (!$ad->hide_phone) { ?>
                                    <div class="phone"><a href="#" id="listing-show-phone" class="track-stats" data-stats-type="<?=ListingStat::SHOW_PHONE;?>" data-listing-id="<?=(int)$ad->listing_id;?>" data-url="<?=url(['/listing/get-customer-contact']);?>" data-customer-id="<?=(int)$ad->customer->customer_id;?>"><?=t('app', 'Show Number');?></a></div>
                                <?php } ?>
                                <?php if (!$ad->hide_email) { ?>
                                    <div class="email"><a href="#" id="listing-show-email" class="track-stats" data-stats-type="<?=ListingStat::SHOW_MAIL;?>" data-listing-id="<?=(int)$ad->listing_id;?>" data-url="<?=url(['/listing/get-customer-contact']);?>" data-customer-id="<?=(int)$ad->customer->customer_id;?>"><?=t('app', 'Show Email');?></a></div>
                                <?php } ?>
                            <?php } ?>
                            <div class="location"><?=html_encode($ad->location->getAddress());?> </div>
                        </div>
                        <div id="map"></div>
                        <script>
                            var map;
                            function initMap() {
                                map = new google.maps.Map(document.getElementById('map'), {
                                    center: {lat: <?=(float)$ad->location->latitude;?>, lng: <?=(float)$ad->location->longitude;?>},
                                    zoom: 10,
                                    mapTypeControl: false,
                                    zoomControl: false,
                                    scaleControl: false,
                                    streetViewControl: false
                                });
                            }
                        </script>
                        <script src="https://maps.googleapis.com/maps/api/js?key=<?=html_encode(options()->get('app.settings.common.siteGoogleMapsKey', ''));?>&callback=initMap" async defer></script>
                    </div>
                    <a href="#" class="btn-as hidden-md hidden-sm hidden-xs favorite-listing <?=(!$ad->isFavorite) ? 'track-stats' : '';?>" data-stats-type="<?=ListingStat::FAVORITE;?>" data-listing-id="<?=(int)$ad->listing_id;?>" data-add-msg="<?=t('app','Add to favorites');?>" data-remove-msg="<?=t('app','Remove Favorite');?>" data-favorite-url="<?=url(['/listing/toggle-favorite']);?>">
                        <?php if ($ad->isFavorite) { ?>
                            <i class="fa fa-heart" aria-hidden="true"></i> <span><?=t('app','Remove Favorite');?></span>
                        <?php } else { ?>
                            <i class="fa fa-heart-o" aria-hidden="true"></i> <span><?=t('app','Add to favorites');?></span>
                        <?php } ?>
                    </a>
                </div>
            </div>
            <div class="big-gallery">
                <a href="javascript:;" class="x-close"><i class="fa fa-times" aria-hidden="true"></i></a>
                <div class="big-gallery-wrapper">
                    <div class="container">
                        <div class="row">
                            <div class="col-lg-10 col-lg-push-1 col-md-10 col-md-push-1 col-sm-12 col-xs-12">
                                <div class="listing-heading-gallery">
                                    <div class="row">
                                        <div class="col-lg-8 col-md-8 col-sm-8 col-xs-12">
                                            <h1><?=html_encode(strtoupper($ad->title));?></h1>
                                            <?php if(!$ad->isExpired) { ?>
                                                <a href="#" class="link add-to-favorites favorite-listing <?=(!$ad->isFavorite) ? 'track-stats' : '';?>" data-stats-type="<?=ListingStat::FAVORITE;?>" data-add-msg="<?=t('app','Add to favorites');?>" data-remove-msg="<?=t('app','Remove Favorite');?>" data-favorite-url="<?=url(['/listing/toggle-favorite']);?>" data-listing-id="<?=(int)$ad->listing_id;?>">
                                                    <?php if ($ad->isFavorite) { ?>
                                                        <i class="fa fa-heart" aria-hidden="true"></i> <span><?=t('app','Remove Favorite');?></span>
                                                    <?php } else { ?>
                                                        <i class="fa fa-heart-o" aria-hidden="true"></i> <span><?=t('app','Add to favorites');?></span>
                                                    <?php } ?>
                                                </a>
                                                <?php if (!$ad->hide_email) { ?>
                                                    <a href="#" id="listing-send-msg" data-url="<?=url(['/listing/get-customer-contact']);?>" data-customer-id="<?=(int)$ad->customer->customer_id;?>" class="link send-message track-stats" data-listing-id="<?=(int)$ad->listing_id;?>" data-stats-type="<?=ListingStat::SHOW_MAIL;?>"><i class="fa fa-envelope-o" aria-hidden="true"></i> <?=t('app','Send a message');?></a>
                                                <?php } ?>
                                                <a target="_blank" href="https://www.facebook.com/sharer/sharer.php?u=<?=url(['/listing/index/', 'slug' => $ad->slug], true);?>" class="social-link track-stats" data-listing-id="<?=(int)$ad->listing_id;?>" data-stats-type="<?=ListingStat::FACEBOOK_SHARES;?>"><i class="fa fa-facebook" aria-hidden="true"></i></a>
                                                <a target="_blank" href="https://twitter.com/intent/tweet?text=<?=html_encode($ad->title);?>&url=<?=url(['/listing/index/', 'slug' => $ad->slug], true);?>" class="social-link track-stats" data-listing-id="<?=(int)$ad->listing_id;?>" data-stats-type="<?=ListingStat::TWITTER_SHARES;?>"><i class="fa fa-twitter" aria-hidden="true"></i></a>
                                                <a href="mailto:?subject=<?=html_encode($ad->title);?>&body=<?=t('app', 'Read More:');?><?=url(['/listing/index/', 'slug' => $ad->slug], true);?>" class="social-link track-stats" data-listing-id="<?=(int)$ad->listing_id;?>" data-stats-type="<?=ListingStat::MAIL_SHARES;?>"><i class="fa fa-envelope-o" aria-hidden="true"></i></a>
                                            <?php } ?>
                                        </div>
                                        <div class="col-lg-4 col-md-4 col-sm-4 col-xs-12">
                                            <div class="price">
                                                <?php if(!$ad->isExpired) { ?>
                                                    <h2><?=html_encode($ad->getPriceAsCurrency($ad->currency->code));?></h2>
                                                    <?=$ad->isNegotiable() ? t('app','Negotiable') : '';?>
                                                <?php } else { ?>
                                                    <h2><?=strtoupper(\app\models\Listing::STATUS_EXPIRED);?></h2>
                                                <?php } ?>
                                            </div>
                                        </div>

                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-lg-10 col-lg-push-1 col-md-10 col-md-push-1 col-sm-12 col-xs-12">
                                <div class="full-gallery-wrapper">
                                    <div class="full-gallery owl-carousel owl-theme">
                                        <?php foreach ($images as $image) { ?>
                                            <div class="item"><img class="resizeImg" src="<?=$image->image;?>" alt=""/></div>
                                        <?php } ?>
                                    </div>
                                    <?php if ($showGalleryArrows) { ?>
                                        <a href="javascript:;" class="arrow-gallery gallery-left-big"><?= SvgHelper::getByName('arrow-left');?></a>
                                        <a href="javascript:;" class="arrow-gallery gallery-right-big"><?= SvgHelper::getByName('arrow-right');?></a>
                                    <?php } ?>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="listing-date"><i class="fa fa-calendar-o" aria-hidden="true"></i> <?=$ad->getUpdatedDateAsDateTimeFull();?></div>
                </div>
            </div>

            <?php if (!empty($ad->categoryFieldValues)) {
                $labelValueFields = [];
                foreach ($ad->categoryFieldValues as $field) {
                    if ($field->field->type->name != 'checkbox' && !empty($field->value)) {
                        $labelValueFields[] = $field;
                    }
                }
                if ($labelValueFields) { ?>
                    <div class="row">
                        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                            <div class="separator-text no-margin-top"></div>
                        </div>
                        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                            <div class="listing-custom labels">
                                <?php foreach ($labelValueFields as $field) { ?>
                                    <div class="item labeled">
                                    <span>
                                        <?= html_encode($field->field->label); ?>
                                    </span>
                                        <span>
                                        <?= html_encode($field->value); ?> <?= ($field->field->unit) ? html_encode($field->field->unit) : ''; ?>
                                    </span>
                                    </div>
                                <?php } ?>
                            </div>
                        </div>
                    </div>
                <?php
                }
            }
            ?>

            <?php if (!empty($ad->categoryFieldValues)) {
                $checkboxFields = [];
                foreach ($ad->categoryFieldValues as $field) {
                    if ($field->field->type->name == 'checkbox' && $field->value != 0) {
                        $checkboxFields[] = $field;
                    }
                }
                if ($checkboxFields) { ?>
                    <div class="row">
                        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                            <div class="separator-text"></div>
                        </div>
                        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                            <div class="listing-custom">
                                <?php foreach ($checkboxFields as $field) { ?>
                                    <div class="item"><?= html_encode($field->field->label); ?></div>
                                <?php } ?>
                            </div>
                        </div>
                    </div>
                    <?php
                }
            }
            ?>

            <div class="row">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="separator-text">
                        <span><?= t('app', 'Description');?></span>
                    </div>
                </div>
                <div class="col-lg-8 col-md-8 col-sm-12 col-xs-12">
                    <p><?=html_purify($ad->description);?></p>
                </div>
            </div>

        </div>

    <?= AdsListWidget::widget([
        'listType'  => AdsListWidget::LIST_TYPE_PROMOTED,
        'title'     => t('app', 'Promoted ads'),
        'ad'        => $ad,
        'quantity'  => 4
    ]);
    ?>

    <?= AdsListWidget::widget([
        'listType'  => AdsListWidget::LIST_TYPE_RELATED,
        'title'     => t('app', 'Related ads'),
        'ad'        => $ad,
        'quantity'  => 4
    ]);
    ?>

</div>